Bug 129027 - The Manage Names dialog is no longer resizable in LibreOffice 6.3.3
Summary: The Manage Names dialog is no longer resizable in LibreOffice 6.3.3
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0.1 target:6.5.0 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-11-25 22:41 UTC by don
Modified: 2019-11-28 10:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description don 2019-11-25 22:41:10 UTC
Description:
I upgraded to LibreOffice 6.3.3 from 6.03.2.  When I opened the Manage Names dialog, I always have to resize it to see all the data; but the dialog will not resize in LibreOffice 6.3.3, it has a fixed size.

I have hundreds of entries in the Manage Names dialog.  I store in the Manage Names all the formulas that I use multiple times within spreadsheets.  I only need to change a formula once.  Also, the size of the file stored on disk is significantly smaller.

Steps to Reproduce:
1. Open the Manage Names dialog.
2. Try to resize it.  You cannot.


Actual Results:
Can no longer resize the Manage Names dialog.

Expected Results:
Able to resize the manage Names dialog?


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: SpreadsheetDocument
[Information guessed from browser]
OS: Mac OS X (All)
OS is 64bit: no
Comment 1 raal 2019-11-26 08:10:18 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one? Thanks

dc175f67d39e75a64ef1ecf91d62d92f11622538 is the first bad commit
commit dc175f67d39e75a64ef1ecf91d62d92f11622538
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Apr 12 08:19:42 2019 -0700

    source sha:565a254a814a06086ac067d5c64b4557e73c9666

author	Caolán McNamara <caolanm@redhat.com>	2019-04-10 15:50:49 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-04-11 09:58:26 +0200
commit	565a254a814a06086ac067d5c64b4557e73c9666 (patch)
tree	cc148ac4a4e15fa78f9861d762909895d86d7ec6
parent	92b25179973fce7cafa3364dc19693a5a22f4952 (diff)
weld ScNameDlg
Comment 2 Commit Notification 2019-11-26 11:37:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/509732f06df3d9ddef535daaeb9e6780b14c8431

Resolves: tdf#129027 make manage names resizable

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-11-26 14:36:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aed39d69718aa0560c57b6c9178154b900e95ee1

Resolves: tdf#129027 make manage names resizable

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-11-26 14:38:08 UTC
fixed in master and 6-4, backports to 6-3 in gerrit
Comment 5 Commit Notification 2019-11-26 22:37:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/8cdcb98dcdea7be8d58c2270cd797842fd6b028b

Resolves: tdf#129027 make manage names resizable

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-11-27 15:10:13 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/141c34f559e9d1d6a8e2a40d9787331621a75e53

tdf#129027: Expand scrolledwindow if parent is resized

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-11-27 19:25:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-4":

https://git.libreoffice.org/core/commit/5a98dbe0b38f8e0acfb9704ffe2ce428672c7515

Resolves: tdf#129027 make manage names resizable

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-11-27 19:25:59 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/b4708c1c2b4acb171952ebead751792037161680

tdf#129027: Expand scrolledwindow if parent is resized

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-11-28 08:56:57 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1059cc102bc1611e3b199868045497245b3b0382

tdf#129027: Expand scrolledwindow if parent is resized

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-11-28 10:50:58 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-4":

https://git.libreoffice.org/core/commit/45b4e2f00c5d085e198a6b65d4e79f52ce05fc02

tdf#129027: Expand scrolledwindow if parent is resized

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-11-28 10:52:53 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: 2bf687bebb30defe576ddb20c1c9680979ed3086
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!